Skip to content

upsertPickMethod

WRITE

Upsert pick method.

POST /api/v1/items/upsertPickMethod
curl -X POST '<your-host>/api/v1/items/upsertPickMethod' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "itemId": "string",
    "locationId": "string",
    "_operation": "create"
  }'

Parameters

ParameterType

Required. 'create' inserts a new record, 'update' modifies the existing record with this id.

"create""update"
min length 1
min length 1
"Default""FEFO""FIFO""LIFO"

Input schema

schema
{
  "type": "object",
  "properties": {
    "itemId": {
      "type": "string",
      "minLength": 1
    },
    "locationId": {
      "type": "string",
      "minLength": 1
    },
    "defaultStorageUnitId": {
      "type": "string"
    },
    "sortMethod": {
      "type": "string",
      "enum": [
        "Default",
        "FEFO",
        "FIFO",
        "LIFO"
      ]
    },
    "customFields": {},
    "_operation": {
      "type": "string",
      "enum": [
        "create",
        "update"
      ],
      "description": "Required. 'create' inserts a new record, 'update' modifies the existing record with this id."
    }
  },
  "required": [
    "itemId",
    "locationId",
    "_operation"
  ]
}